hetDisable_rg		.macro	Preg,Sreg,iaHetProg
					.if ( $$symlen(Preg)==0|$$symlen(Sreg)==0|$$symlen(iaHetProg)==0)
					.emsg "ERROR -- Missing Parameter"
					.mexit
					.endif
					.if !( $$symcmp(Preg,"r0")==0|$$symcmp(Preg,"r1")==0|$$symcmp(Preg,"r2")==0|$$symcmp(Preg,"r3")==0|$$symcmp(Preg,"r4")==0|$$symcmp(Preg,"r5")==0|$$symcmp(Preg,"r6")==0|$$symcmp(Preg,"r7")==0|$$symcmp(Preg,"r8")==0|$$symcmp(Preg,"r9")==0|$$symcmp(Preg,"r10")==0|$$symcmp(Preg,"r11")==0|$$symcmp(Preg,"r12")==0)
					.emsg "ERROR --  the Register which contains the HET Registers Base Address is incorrect (r0 --> r12)"
					.mexit
					.endif
					.if !( $$symcmp(Sreg,"r0")==0|$$symcmp(Sreg,"r1")==0|$$symcmp(Sreg,"r2")==0|$$symcmp(Sreg,"r3")==0|$$symcmp(Sreg,"r4")==0|$$symcmp(Sreg,"r5")==0|$$symcmp(Sreg,"r6")==0|$$symcmp(Sreg,"r7")==0|$$symcmp(Sreg,"r8")==0|$$symcmp(Sreg,"r9")==0|$$symcmp(Sreg,"r10")==0|$$symcmp(Sreg,"r11")==0|$$symcmp(Sreg,"r12")==0)
					.emsg "ERROR --  the Sand Box register, lost after execution of the macro, is incorrect (r0 --> r12)"
					.mexit
					.endif
					.eval	iaHetProg>>4,				instNum5l
					.eval	instNum5l & 0x1F, 			instNum
					.eval	1<<instNum, 				bitWrd
					.eval	bitWrd & 0x0000FFFF, 		LwbitWrd
					.eval	(bitWrd >> 16)&0x0000FFFF,	UpbitWrd
					mov		Sreg,#LwbitWrd
					movt	Sreg,#UpbitWrd
					str		Sreg,[Preg,#het_INTENAC]
					.endm
