rtiEnable_Comp		.macro	Preg,Sreg,Chn
					.if ( $$symlen(Preg)==0|$$symlen(Sreg)==0|$$symlen(Chn)==0)			;Test if parameters are present
					.emsg "ERROR -- Missing Parameter"
					.mexit
					.endif

					.if !( $$symcmp(Preg,"r0")==0|$$symcmp(Preg,"r1")==0|$$symcmp(Preg,"r2")==0|$$symcmp(Preg,"r3")==0|$$symcmp(Preg,"r4")==0|$$symcmp(Preg,"r5")==0|$$symcmp(Preg,"r6")==0|$$symcmp(Preg,"r7")==0|$$symcmp(Preg,"r8")==0|$$symcmp(Preg,"r9")==0|$$symcmp(Preg,"r10")==0|$$symcmp(Preg,"r11")==0|$$symcmp(Preg,"r12")==0)
					.emsg "ERROR --  the Register which contains the HET Registers Base Address is incorrect (r0 --> r12)"
					.mexit
					.endif
					.if !( $$symcmp(Sreg,"r0")==0|$$symcmp(Sreg,"r1")==0|$$symcmp(Sreg,"r2")==0|$$symcmp(Sreg,"r3")==0|$$symcmp(Sreg,"r4")==0|$$symcmp(Sreg,"r5")==0|$$symcmp(Sreg,"r6")==0|$$symcmp(Sreg,"r7")==0|$$symcmp(Sreg,"r8")==0|$$symcmp(Sreg,"r9")==0|$$symcmp(Sreg,"r10")==0|$$symcmp(Sreg,"r11")==0|$$symcmp(Sreg,"r12")==0)
					.emsg "ERROR --  the Sand Box register, lost after execution of the macro, is incorrect (r0 --> r12)"
					.mexit
					.endif
					.eval 	15-(Chn),difChn
					.if 	$$symcmp(difChn,"0")<0
					.emsg "ERROR --  the number of the compare to be enabled = rti_flg_CMP0, rti_flg_CMP1, rti_flg_CMP2, or rti_flg_CMP3 is incorrect (1, 2, 4, or 8) max=0xF"
					.mexit
					.endif
					.if ($$symcmp(Preg,Sreg)==0)
					.emsg "ERROR --  the Pointer Register and sand box register must be different"
					.mexit
					.endif
					;------------Body of the macro-----------
					mov		Sreg,#Chn
					str		Sreg,[Preg,#rti_SETINTENA]
					.endm
